/**********************Document Ready****************************************/

$(document).ready(function(){
    
    $type = "getAllCourses";
    getAvailableCourses($type);
    $typed = "getAllQualification";
    getAvailableQualification($typed)
    var today = new Date().setDate(new Date().getDate() + 1)
    var tomorrow = new Date(today).toISOString().split('T')[0];
    document.getElementsByName("pickDate")[0].setAttribute('min', tomorrow);
    
    $("#studentregisterform").on("submit",function(e){
        e.preventDefault();
        $('#studentregisterform input[type="text"],[type="password"],[type="number"],[type="email"]').css('border', 'none');
        $('.bdemoform').css('border', 'none');
        $(".msgC").empty();
        $(".msgT").empty();
        var qvalue = $('.bdemoform').filter(function () {
            return this.value === '';
        });
        var ovalue = $('.bdemoform').filter(function () {
            return this.value === 'choose';
        });
        if (qvalue.length > 0) {
            $(".msgC").text("Please fill out all question fields.");
            $('.msgC').css({"color":"red"});
            qvalue.css('border', '1px solid red');
        }else if(ovalue.length > 0){
            $(".msgC").text("Please select options correctly!");
            $('.msgC').css({"color":"red"});
            ovalue.parent("div").css('border', '1px solid red');
            ovalue.parent("div").css('border-radius', '30px');
        }else{
            var form_data = new FormData(this);
            $actiontype = "InsertStudent";
            const timezone = Intl.DateTimeFormat().resolvedOptions().timeZone;
            form_data.append("actiontype",$actiontype);
            form_data.append("timezone",timezone);
            registerDetails(form_data,$actiontype);
        }
    });
    
    $("#teacherregisterform").on("submit",function(e){
        e.preventDefault();
        $('#teacherregisterform input[type="text"],[type="password"],[type="number"],[type="email"]').css('border', 'none');
        $('.tassignform').css('border', 'none');
        $('.tassignselectform').css('border', 'none');
        $('.tassignformfile').parent("div").css('border', 'none');
        $subjectteach = $("#whatSubCanYou option:selected").map(function(){
                    return this.value;
                }).get().join(",");
        $(".msgC").empty();
        $(".msgT").empty();
        var qvalue = $('.tassignform').filter(function () {
            return this.value === '';
        });
        var ovalue = $('.tassignform').filter(function () {
            return this.value === 'choose';
        });
        var tsvalue = $('.tassignselectform').filter(function () {
            return this.value === '';
        });
        var tsfvalue = $('.tassignformfile').filter(function () {
            return this.value === '';
        });
        if (qvalue.length > 0) {
            $(".msgT").text("Please fill out all question fields.");
            $('.msgT').css({"color":"red"});
            qvalue.css('border', '1px solid red');
        }else if(ovalue.length > 0){
            $(".msgT").text("Please select options correctly!");
            $('.msgT').css({"color":"red"});
            ovalue.parent("div").css('border', '1px solid red');
            ovalue.parent("div").css('border-radius', '30px');
        }else if(tsvalue.length > 0){
            $(".msgT").text("Please select options correctly!");
            $('.msgT').css({"color":"red"});
            tsvalue.parent("div").css('border', '1px solid red');
            tsvalue.parent("div").css('border-radius', '30px');
        }else if(tsfvalue.length > 0){
            $(".msgT").text("Please select options correctly!");
            $('.msgT').css({"color":"red"});
            tsfvalue.parent("div").css('border', '1px solid red');
            tsfvalue.parent("div").css('border-radius', '30px');
        }else{
            var form_data = new FormData(this);
            $actiontype = "InsertTeacher";
            const timezone = Intl.DateTimeFormat().resolvedOptions().timeZone;
            form_data.append("actiontype",$actiontype);
            form_data.append("timezone",timezone);
            form_data.append("subjectteach",$subjectteach);
            registerDetails(form_data,$actiontype);
        }
    });
    
    $("#inquiryform").on("submit",function(e){
        e.preventDefault();
        $('#inquiryform input[type="text"],[type="password"],[type="number"],[type="email"]').css('border', 'none');
        $('.inquerybox').css('border', 'none');
        $(".msgC").empty();
        $(".msgT").empty();
        var qvalue = $('.inquerybox').filter(function () {
            return this.value === '';
        });
        var ovalue = $('.inquerybox').filter(function () {
            return this.value === 'choose';
        });
        if (qvalue.length > 0) {
            $(".msgC").text("Please fill out all question fields.");
            $('.msgC').css({"color":"red"});
            qvalue.css('border', '1px solid red');
        }else if(ovalue.length > 0){
            $(".msgC").text("Please select options correctly!");
            $('.msgC').css({"color":"red"});
            ovalue.parent("div").css('border', '1px solid red');
            ovalue.parent("div").css('border-radius', '30px');
        }else{
            var form_data = new FormData(this);
            $actiontype = "InsertQuery";
            const timezone = Intl.DateTimeFormat().resolvedOptions().timeZone;
            form_data.append("actiontype",$actiontype);
            form_data.append("timezone",timezone);
            registerDetails(form_data,$actiontype);
        }
    });
    
    /**********************Registration details ******************************/
    
    function registerDetails(formdata,actiontype){
         $(".msgC").empty();
         $(".msgT").empty();
         $(".msgQ").empty();
         $.ajax({
                url: "assets/php/insertdata.php",
                method:"POST",
                data:formdata,
                dataType:"JSON",
                processData:false,
                contentType:false,
                success:function(data){
                    if(actiontype == "InsertStudent"){
                        if(data.indexOf("Demo scheduled! Please find further details on the provided mail address!") !== -1){
                            $(".msgC").text(data);
                            $('.msgC').css({"color":"green"});
                        }else{
                            $(".msgC").text(data);
                            $('.msgC').css({"color":"red"});
                        }
                        $('#studentregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $('#teacherregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $(".tassignformfile").prev('label').text("Upload Image");
                        $('#inquiryform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $(".form-control option").prop('selected', false);
                        $('.form-control').selectpicker('refresh');
                    }else if(actiontype == "InsertTeacher"){
                        if(data.indexOf("Details registered!") !== -1){
                            $(".msgT").text(data);
                            $('.msgT').css({"color":"green"});
                        }else{
                            $(".msgT").text(data);
                            $('.msgT').css({"color":"red"});
                        }
                        $('#studentregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $(".tassignformfile").prev('label').text("Upload Image");
                        $('#teacherregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $('#inquiryform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $(".form-control option").prop('selected', false);
                        $('.form-control').selectpicker('refresh');
                    }else if(actiontype == "InsertQuery"){
                        if(data.indexOf("Query Registered!") !== -1){
                            $(".msgQ").text(data);
                            $('.msgQ').css({"color":"green"});
                        }else{
                            $(".msgQ").text(data);
                            $('.msgQ').css({"color":"red"});
                        }
                        $('#studentregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $(".tassignformfile").prev('label').text("Upload Image");
                        $('#teacherregisterform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $('#inquiryform input[type="text"],[type="password"],[type="number"],[type="email"],[type="date"],[type="file"]').val('');
                        $('.inquerybox').val('');
                        $(".form-control option").prop('selected', false);
                        $('.form-control').selectpicker('refresh');
                    }
                    
                }
         });
     }
    
    
    /**********************Get course details******************************/
    
    function getAvailableCourses($type){
        $('.allAvailableCoursed').empty();
        $('#whichDemoYouWant').empty();
        $('#whatSubCanYou').empty();
        $.ajax({
               url:"assets/php/insertdata.php",
               method: "POST",
               dataType:"json",
               data: {
                   "type":$type
               },
               success:function(data){
                    if($type == "getAllCourses"){
                        $('#whichDemoYouWant').append('<option value="choose">Choose your course demo</option>');
                        $.each(data,function(i,row){
                            $oname = row[2];
                            $coursetitle = row[3];
                            $coursepic = row[5];
                            $getfilename = '../admin/assets/uploads/'+$oname+'/courses/'+$coursetitle+'/'+$coursepic;
                            $profilepathtocheck = '../../admin/assets/img/adminAllNew/fileimage.png';
                            if($coursepic != ""){
                               $path = checkstatus($getfilename,$profilepathtocheck);
                            }else{
                               $path = $profilepathtocheck;
                            }
                            $('.allAvailableCoursed').append(
                                '<div class="col-12 col-lg-4 col-md-6 mb-3 mb-md-0">'+
                                    '<div class="single-course text-center">'+
                                        '<div class="image-box">'+
                                            '<img src="'+$path+'" alt="images">'+
                                        '</div>'+
                                        '<h3 class="my-4">'+row[3]+'</h3>'+
                                        '<h4 class="price"><span class="price-sign">£</span>'+row[5]+'<span class="price-time">/month</span></h4>'+
                                        '<ul class="table-list-'+i+'">'+
                                            '<li>'+
                                                '<h5>From 2 Times a week</h5>'+
                                            '</li>'+
                                            '<li><strong>Topic includes:</strong></li>'+
                                            '<li>HTML</li>'+
                                            '<li>CSS</li>'+
                                            '<li>Bootstrap</li>'+
                                            '<li>Javascript</li>'+
                                            '<li>Java/PHP</li>'+
                                            '<li>mySQL</li>'+
                                        '</ul>'+
                                        '<button class="btn table-btn">Book a Free Demo</button>'+
                                    '</div>'+
                                '</div>'
                            );
                            $('#whichDemoYouWant').append('<option value="' + row[3] + '">' + row[3] + '</option>');
                            $('.select-demo').selectpicker('refresh');
                            $('#whatSubCanYou').append('<option value="' + row[3] + '">' + row[3] + '</option>');
                            $('.select-whatSubCanYou').selectpicker('refresh');
                            $type = "getRelatedTopic";
                            getAvailableTopics($type,row[3],i);
                        });
                    }
               },
        });
    }
    
    
    function getAvailableTopics($type,$course,id){
        $('.table-list-'+id).empty();
        $.ajax({
               url:"assets/php/insertdata.php",
               method: "POST",
               dataType:"json",
               data: {
                   "type":$type,
                   "coursename":$course
               },
               success:function(data){
                   $('.table-list-'+id).append(
                        '<li>'+
                            '<h5>From 2 Times a week</h5>'+
                        '</li>'+
                        '<li><strong>Topic includes:</strong></li>'
                   );
                   $.each(data,function(i,row){
                       $('.table-list-'+id).append(
                           '<li>'+row[0]+'</li>'
                       );
                   });
               },
        });
    }
    
    function getAvailableQualification($type){
        $('#whatIsHightQ').empty();
        $.ajax({
               url:"assets/php/insertdata.php",
               method: "POST",
               dataType:"json",
               data: {
                   "type":$type
               },
               success:function(data){
                   $('#whatIsHightQ').append('<option value="choose">choose highest Qualification/Degree</option>');
                    $.each(data,function(i,row){
                        $('#whatIsHightQ').append('<option value="' + row[0] + '">' + row[0] + '</option>');
                        $('.select-whatIsHightQ').selectpicker('refresh');
                    });
               },
        });
    }
    
    function checkstatus(path,$profilepathtocheck){
        var http = new XMLHttpRequest();
        http.open('HEAD', path, false);
        http.send();
        $status = http.status;
        if($status == "200"){
            return path;
        }else{
            return $profilepathtocheck
        }
    }
    
    /***********************profile upload************************************/
    
    $('.tassignformfile').on("change",function() {
          var i = $(this).prev('label').clone();
          var file = $('.tassignformfile')[0].files[0].name;
          $(this).prev('label').text(file);
    });
});

/**********************Document Ready****************************************/